curl --request GET \
--url https://api.anchorage-staging.com/v4/deposit-attributions/attributions \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/deposit-attributions/attributions"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/deposit-attributions/attributions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"depositTransactionId": "0e2b2f9d8d104f1e960b28567255045f",
"status": "ATTRIBUTED",
"sourceAddresses": [
"0xb4Bb4E3D7f35ede58d99F5e2b8B04f7AC87f9c88",
"0x974CaA59e49682CdA0AD2bbe82983419A2ECC400"
],
"createdAt": "2023-09-12T11:01:07.953571Z",
"blockchainTxId": "0x84ddb76708d570101db89fd27b1717484c54417c9f32c63052cdfac9a0bfc0a2",
"assetType": "ETH",
"attributedAt": "2023-07-27T21:16:44.124798Z",
"attributionType": "CLIENT_API",
"sourceWalletType": "CUSTODIAL",
"originatorName": "John Doe",
"originatorCountry": "US",
"notes": "<string>",
"accountId": "3486b413-93d3-4447-afce-2b9c9dc34a32"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}List deposit attributions
Permissions required: Read Deposit Attribution or Deposit Attribution
Returns all Deposit Attributions for an Organization based on the provided query parameters. Default sort order is ascending by createdAt.
curl --request GET \
--url https://api.anchorage-staging.com/v4/deposit-attributions/attributions \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/deposit-attributions/attributions"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/deposit-attributions/attributions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"depositTransactionId": "0e2b2f9d8d104f1e960b28567255045f",
"status": "ATTRIBUTED",
"sourceAddresses": [
"0xb4Bb4E3D7f35ede58d99F5e2b8B04f7AC87f9c88",
"0x974CaA59e49682CdA0AD2bbe82983419A2ECC400"
],
"createdAt": "2023-09-12T11:01:07.953571Z",
"blockchainTxId": "0x84ddb76708d570101db89fd27b1717484c54417c9f32c63052cdfac9a0bfc0a2",
"assetType": "ETH",
"attributedAt": "2023-07-27T21:16:44.124798Z",
"attributionType": "CLIENT_API",
"sourceWalletType": "CUSTODIAL",
"originatorName": "John Doe",
"originatorCountry": "US",
"notes": "<string>",
"accountId": "3486b413-93d3-4447-afce-2b9c9dc34a32"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Query Parameters
The start date-time (exclusive) of the deposit attribution process in UTC following RFC 3339 'date-time' format. A valid format example is 2021-01-01T00:00:00.000000Z.
"2019-01-02T12:34:56.000Z"
The end date-time (exclusive) to consider the start of the deposit attribution process in UTC following RFC 3339 'date-time' format. A valid format example is 2021-01-01T00:00:00.000000Z.
"2019-01-02T12:34:56.000Z"
The start date-time (exclusive) to consider the attribution date of the deposit in UTC following RFC 3339 'date-time' format. A valid format example is 2021-01-01T00:00:00.000000Z.
"2019-01-02T12:34:56.000Z"
The end date-time (exclusive) to consider the attribution date of the deposit in UTC following RFC 3339 'date-time' format. A valid format example is 2021-01-01T00:00:00.000000Z.
"2019-01-02T12:34:56.000Z"
Was this page helpful?